GET
/
api
/
ingest
/
jobs
/
{jobId}
Get ingest job status
curl --request GET \
  --url https://selltraces.com/api/ingest/jobs/{jobId} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "job": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": "<string>",
    "traceCount": 4503599627370495,
    "rejectedCount": 4503599627370495,
    "estimatedUsd": 123,
    "errorMessage": "<string>",
    "enqueuedAt": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "finishedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Opaque machine token issued by the CLI login or onboarding flow.

Path Parameters

jobId
string<uuid>
required

Ingest job id owned by the authenticated user. UUID string.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Ingest job status returned.

ok
boolean
required
job
object
required